// Copyright Paul Floyd 2004, 2006

#include <QApplication>
#include <QObject>
#include "pfdisk.h"
#include <sys/types.h>
#include <unistd.h>
#include <iostream>
using std::cerr;
using std::endl;
using std::exit;



int main(int argc, char ** argv)
{
    if (0 != ::getuid())
    {
        cerr << "Error: must be root to execute " << argv[0] << endl;
        ::exit(-1);
    } // end if

    QApplication a(argc, argv);
    pfdisk w;
    w.show();
    a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));
    return a.exec();
}
