#if !defined(PTENTRY_H)
#define PTENTRY_H
// Copyright Paul John Floyd 2004 - 2005

union CylinderSector
{
    unsigned char rawData[2];
    struct
    {
        unsigned short cylinder:10;
        unsigned short sector:6;
    } extractedData;
};

struct PTEntry
{
    unsigned char state;
    unsigned char headStart;
    union CylinderSector cylinderSectorStart;
    unsigned char type;
    unsigned char headEnd;
    union CylinderSector cylinderSectorEnd;
    unsigned long lbaStart;
    unsigned long lbaLength;
};
 
void extractCylinderSector(PTEntry& pt);
void restoreCylinderSector(PTEntry& pt);

#endif // PTENTRY_H
